pkg_apt = {
    'postfix': {},
}

svc_systemd = {
    'postfix': {
        'needs': ['pkg_apt:postfix', 'file:/etc/postfix/main.cf'],
    }
}

files = {
    '/etc/postfix/main.cf': {
        'content_type': 'mako',
        'needs': ['pkg_apt:postfix'],
        'triggers': ['svc_systemd:postfix:restart'],
    },
}

directories = {
    '/etc/postfix': {
        'owner': 'root',
        'mode': '1755',
        'needs': ['pkg_apt:postfix'],
    },
}
